WindowsResourceCompile (Gradle API 4.9)
Date: 2018-07-16

org.gradle.language.rc.tasks

## Class WindowsResourceCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.rc.tasks.WindowsResourceCompile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class WindowsResourceCompile
      extends DefaultTask

  Compiles Windows Resource scripts into .res files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsResourceCompile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(IncrementalTaskInputs inputs)`
    `List<String>` | `getCompilerArgs()` Additional arguments to provide to the compiler.
    `protected FileCollection` | `getHeaderDependencies()` The set of dependent headers.
    `ConfigurableFileCollection` | `getIncludes()` Returns the header directories to be used for compilation.
    `org.gradle.language.nativeplatform.internal.incremental.IncrementalCompilerBuilder` | `getIncrementalCompilerBuilder()`
    `Map<String,String>` | `getMacros()` Macros that should be defined for the compiler.
    `org.gradle.internal.operations.logging.BuildOperationLoggerFactory` | `getOperationLoggerFactory()`
    `File` | `getOutputDir()` The directory where object files will be generated.
    `ConfigurableFileCollection` | `getSource()` Returns the source files to be compiled.
    `Property<NativePlatform>` | `getTargetPlatform()` The platform being compiled for.
    `Property<NativeToolChain>` | `getToolChain()` The tool chain used for compilation.
    `void` | `includes(Object includeRoots)` Add directories where the compiler should search for header files.
    `void` | `setCompilerArgs(List<String> compilerArgs)`
    `void` | `setMacros(Map<String,String> macros)`
    `void` | `setOutputDir(File outputDir)`
    `void` | `source(Object sourceFiles)` Adds a set of source files to be compiled.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsResourceCompile

          public WindowsResourceCompile()

  - ### Method Detail

    - #### getIncrementalCompilerBuilder

          @Inject
          public org.gradle.language.nativeplatform.internal.incremental.IncrementalCompilerBuilder getIncrementalCompilerBuilder()

    - #### getOperationLoggerFactory

          @Inject
          public org.gradle.internal.operations.logging.BuildOperationLoggerFactory getOperationLoggerFactory()

    - #### compile

          public void compile(IncrementalTaskInputs inputs)

    - #### getToolChain

          @Internal
          public Property<NativeToolChain> getToolChain()

      The tool chain used for compilation.
      Since:
        4.7

    - #### getTargetPlatform

          public Property<NativePlatform> getTargetPlatform()

      The platform being compiled for.
      Since:
        4.7

    - #### getOutputDir

          @OutputDirectory
          public File getOutputDir()

      The directory where object files will be generated.

    - #### setOutputDir

          public void setOutputDir(File outputDir)

    - #### getIncludes

          @InputFiles
          public ConfigurableFileCollection getIncludes()

      Returns the header directories to be used for compilation.

    - #### includes

          public void includes(Object includeRoots)

      Add directories where the compiler should search for header files.

    - #### getSource

          @InputFiles
          public ConfigurableFileCollection getSource()

      Returns the source files to be compiled.

    - #### source

          public void source(Object sourceFiles)

      Adds a set of source files to be compiled. The provided sourceFiles object is evaluated as per `Project.files(Object...)`.

    - #### getMacros

          @Input
          public Map<String,String> getMacros()

      Macros that should be defined for the compiler.

    - #### setMacros

          public void setMacros(Map<String,String> macros)

    - #### getCompilerArgs

          @Input
          public List<String> getCompilerArgs()

      Additional arguments to provide to the compiler.

    - #### setCompilerArgs

          public void setCompilerArgs(List<String> compilerArgs)

    - #### getHeaderDependencies

          @InputFiles
           @PathSensitive(value=NAME_ONLY)
          protected FileCollection getHeaderDependencies()

      The set of dependent headers. This is used for up-to-date checks only.
      Since:
        4.5